Bug 1789979 - Webhook triggers table does not properly respond to prop changes
Summary: Webhook triggers table does not properly respond to prop changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-10 21:43 UTC by Samuel Padgett
Modified: 2020-05-04 11:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.4.0-0.ci-2020-01-10-182016 Cluster ID: 7eb39ba0-730f-4d2e-96c5-552e914c2653 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:72.0) Gecko/20100101 Firefox/72.0
Last Closed: 2020-05-04 11:23:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3929 None closed Bug 1789979: Fix webhook triggers hooks to re-run on prop change 2020-02-17 07:12:06 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:24:24 UTC

Description Samuel Padgett 2020-01-10 21:43:39 UTC
See https://github.com/openshift/console/blob/master/frontend/public/components/utils/webhooks.tsx#L62-L93

The `useEffect` hook isn't re-run when the webhooks change since it's not part of the dependencies. This also results in a linter warning (which we should probably promote to an error).

Comment 2 shahan 2020-01-22 08:11:50 UTC
1. make bc "secretReference"  reference to secret that does not exist
It will have alert like: There are 1 warning alerts.
Error: secrets "test2" not found‘
2. update bc "secretReference" with different webhook secret
The secret of webhook will be changed on the bc detail page.
4.4.0-0.nightly-2020-01-21-202840

Comment 4 errata-xmlrpc 2020-05-04 11:23:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.